601,100
562,"CHARACTERDELIMITED"
586,"C:\YanTraining\sourceblob_version.txt"
585,"C:\YanTraining\sourceblob_version.txt"
564,
565,"jtJ@ZWeu1eat^fD?coALxFt8z29QZ@19P5H2n@RU[N;3l:dAY=ea4n95Vmo6tWB<q<Qu]8x>l^nqvSV=Rb]T@_amSg3@8>rMbtr[JOwh4VFA2464`I=jrdl53DlZju;rzwGO?7w7nnZ4OpvyxYLVF\=fz2oj1u6I6aOJe^ENmPUx1EhOiHJ1D]7P5Y]`m8@sa<UXPL0A"
593,
594,
595,
597,
598,
596,
800,
801,
566,0
567,","
588,"."
589,","
568,""""
570,
571,
569,0
592,0
599,1000
560,2
pBlob
pSourceFile
561,2
2
2
590,2
pBlob,""
pSourceFile,""
637,2
pBlob,Blob Name
pSourceFile,Source File
577,2
Plan
Version
578,2
2
2
579,2
1
2
580,2
0
0
581,2
0
0
582,2
VarType=32	ColType=827	
VarType=32	ColType=827	
572,10

#****Begin: Generated Statements***
#****End: Generated Statements****



SetInputCharacterSet( 'TM1CS_UTF8' );
DATASOURCENAMEFORSERVER =  pSourcefile;


573,3

#****Begin: Generated Statements***
#****End: Generated Statements****
574,38

#****Begin: Generated Statements***
#****End: Generated Statements****

vCubeName = '}ElementAttachments_' | Plan;

if ( CubeExists(vCubeName) = 1 );
vAttachmentsDim = '}Attachments';
vMeasuresDim = '}AttachmentMeasures';
vAttachmentsSize = DIMSIZ(vAttachmentsDim);
vAttachmentsLooper=1;
##vAttachmentMeasuresSize = DIMSIZ(vMeasuresDim);
##vAttachmentMeasuresLooper = 1;

vAttachmentsElement='';
vMeasuresElement='';
while(vAttachmentsLooper <= vAttachmentsSize);
  vAttachmentsElement=DIMNM(vAttachmentsDim, vAttachmentsLooper);
  if ( ELLEV(vAttachmentsDim, vAttachmentsElement) = 0 );
     vType=CELLGETS(vCubeName, Version, vAttachmentsElement, 'Type');
     vName=CELLGETS(vCubeName, Version, vAttachmentsElement, 'Name');
     vPath=CELLGETS(vCubeName, Version, vAttachmentsElement, 'Path');
     vCount=CELLGETS(vCubeName, Version, vAttachmentsElement, 'Counts');
     vCreatedBy=CELLGETS(vCubeName, Version, vAttachmentsElement, 'CreatedBy');
     vCreatedDatetime=CELLGETS(vCubeName, Version, vAttachmentsElement, 'Created DateTime');
     vSize=CELLGETS(vCubeName, Version, vAttachmentsElement, 'Size');
     vFileType=CELLGETS(vCubeName, Version, vAttachmentsElement, 'FileType');
     vDescription=CELLGETS(vCubeName, Version, vAttachmentsElement, 'Description');
     SetOutputCharacterSet( pBlob, 'TM1CS_UTF8' );
     textoutput(pBlob, Plan, Version, '', vAttachmentsElement, vType, vName, vPath, vCount, vCreatedBy, vCreatedDateTime, vSize, vFileType, vDescript
ion);
  endif;
  vAttachmentsLooper = vAttachmentsLooper + 1;
end;
endif;



575,3

#****Begin: Generated Statements***
#****End: Generated Statements****
576,CubeAction=1511	DataAction=1503	CubeLogChanges=0	
638,1
804,0
900,
901,
902,
903,
906,
907,
908,
904,0
905,0
909,0
910,0
911,
912,
913,
914,
915,
916,
